lenya-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From astra123 <sandhya.jayachand...@tcs.com>
Subject Re: problem in lenya installation on netbeans
Date Fri, 17 Apr 2009 08:10:15 GMT

Hi,
Im trying to use lenya as stanalone (with jetty server) using the link given
below

http://lenya.apache.org/docu20/tutorials/newPublication14.html

im done with all the things that has told in that link.when im getting "My
first publication" in left-hand side of the index page of lenya.

When i click on that getting error "Resource not found---introduction.html"

i have also created introduction.html in the path specified by that link

Please help me in resolving this.


Andreas Hartmann wrote:
> 
> anshree123 schrieb:
>> i am using: 
>> Lenya 2.0 
>> NetBeans IDE 6.5 
>> Apache Tomcat 6.0.18 
>> 
>> i am able to install the Lenya 2.0 as a stand-alone using built-in jetty
>> server by following the steps given in link below 
>> 
>> http://lenya.apache.org/docu20/installation20/install20.html#prerequisites
>> 
>> but while following the installation instruction to install Lenya in
>> Tomcat
>> using the above link and When I'm trying to run the build.bat file from
>> lenya's source folder 
>> 
>> Build Failed when it is trying copy from 
>> C:\your_home\src\apache-lenya-2.0.2-src\build\lenya\webapp\WEB-INF\lib\fop-0.20.5.jar
>> to C:\Program Files\Apache Software Foundation\Apache Tomcat
>> 6.0.18\webapps\lenya\webapp\WEB-INF\lib\fop-0.20.5.jar since the path is
>> not
>> found. 
> 
> What is the value of your tomcat.webapps.dir in build.properties? 
> Apparently Lenya tries to copy the library to an invalid destination:
> 
> webapps\lenya\webapp\WEB-INF instead of
> webapps\lenya\build\lenya\webapp\WEB-INF
> 
> BTW, it's not recommended to have spaces in the Lenya web application 
> path, but I don't think this is related to the build issue.
> 
>> 
>> So i have a doubt like whether Lenya 2.0 can be installed with Tomcat
>> 6.0.18
> 
> Yes, Lenya can be installed in Tomcat.
> 
>> and can be integrated with NetBeans 6.5 IDE? 
> 
> I haven't tried it yet, but I imagine this should also be possible.
> 
>> or Lenya 2.0 is meant only for Eclipse IDE 
>> because in lenya's build.properties file i saw something related with
>> Eclipse IDE as given below: 
> 
> Most of the developers are using Eclipse, that's why Lenya has built-in 
> support to generate an Eclipse project. That's only for convenience
> reasons.
> 
> -- Andreas
> 
> 
> -- 
> Andreas Hartmann, CTO
> BeCompany GmbH
> http://www.becompany.ch
> Tel.: +41 (0) 43 818 57 01
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@lenya.apache.org
> For additional commands, e-mail: user-help@lenya.apache.org
> 
> 
> 

-- 
View this message in context: http://www.nabble.com/problem-in-lenya-installation-on-netbeans-tp23072127p23093082.html
Sent from the Lenya - Users mailing list archive at Nabble.com.


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@lenya.apache.org
For additional commands, e-mail: user-help@lenya.apache.org


Mime
View raw message